// Archivo cempleado.cpp
// Clase Empleado
//
#include <iostream>
#include <cstring>
#include "cempleado.h"
using namespace std;

Empleado::Empleado()  // constructor predeterminado
{
	strcpy_s (nombre, "No informado");
 	horas_trabajadas = 0;
	valor_hora = 0.0;
	total_debido = 0.0;
	cout << "Se construye el objeto con el constructor predeterminado\n\n";
}
Empleado::Empleado(const char * n, int ht, double vh)
{
	strncpy_s(nombre, n, 40);
 	horas_trabajadas = ht;
	valor_hora = vh;
	calcular_total();
	cout << "Se construye el objeto Empleado de " 
			<< nombre << "\n\n";
}
Empleado::~Empleado()
{
	cout << "Se destruye el objeto Empleado de "
		<< nombre << "\n\n";
}
void Empleado::modificarValorHora(double vh)
{
	valor_hora = vh;
	calcular_total();
	cout << "Se actualiza el valor hora de "
		<< nombre << "\n\n";
}
void Empleado::modificarHorasTrabajadas(int n)
{
	horas_trabajadas += n;
	this->calcular_total();
	cout << "Se actualizan las horas trabajadas de "
		<< nombre << "\n\n";
} 
void Empleado::mostrarTotalDebido() const
{
	cout << "Estado: empleado " << nombre 
			<< " V/hora " << valor_hora 
			<< " Hs. trabajadas " << horas_trabajadas
			<< " Liq. pdte. " << total_debido << "\n\n";
	 
	 
}
const Empleado & Empleado::maxValorHora(const Empleado & emp) const
{
	if (valor_hora > emp.valor_hora)
		return *this;
	else
		return emp;
}

