// Archivo cempleado.cpp
// Clase Empleado
//
#include <iostream>
#include <cstring>
#include "cempleado.h"
using namespace std;

int Empleado::instancias = 0;
Empleado::Empleado()  // constructor predeterminado
{
	strcpy_s (nombre, 12, "No informado");
 	horas_trabajadas = 0;
	instancias++;
	cout << "Se genera instancia con el constructor 1 "
		<< ", hay " << instancias  
		<< " ejemplares del objeto Empleado\n\n";
}
Empleado::Empleado(const char n[], int ht)
{
	strcpy_s(nombre, 30, n);
 	horas_trabajadas = ht;
	instancias++;
    cout << "Se genera instancia con el constructor 2 "
		<< ", hay " << instancias  
		<< " ejemplares del objeto Empleado\n\n";
}
/*Empleado::Empleado(const Empleado & emp)
{
	strcpy_s(nombre, 30, emp.nombre);
 	horas_trabajadas = emp.horas_trabajadas;
	instancias++;
    cout << "Se genera instancia con el constructor copia "
		<< ", hay " << instancias  
		<< " ejemplares del objeto Empleado\n\n";
}*/
Empleado::~Empleado()
{
	instancias--;
	cout << "Se destruye el objeto Empleado de " << nombre << "\n";
	cout << "- puntero this  " << this 
		 << ", ahora quedan " << instancias  
		 << " ejemplares \n\n";
}

void Empleado::modificarHorasTrabajadas(int n)
{
	horas_trabajadas += n;
	cout << "Se actualizan las horas trabajadas de "
		<< nombre << "\n";
} 
void Empleado::mostrarDatos() const
{
	cout << "Datos: empleado    " << nombre << "\n";
	cout << "- ptr this         " << this << "\n";
	cout << "- ptr a nombre     " << (int *)&nombre << "\n";
	cout << "- ptr a instancias " << (int *)&instancias << "\n\n";
}
 

