// Archivo de cabecera clase Empleado (cempleado.h)
//
#ifndef _CLASE_EMPLEADO_DEF_
#define _CLASE_EMPLEADO_DEF_
class Empleado
{
	int longNombre;
	char * nombre;	
	static int instancias;
	enum {SALARIOMAX = 2500};
	
protected:
	double salario;
	                                         
public:
    // constructor predeterminado
	Empleado();

	// Constructor 
	Empleado(const char * nombre, double s);

	// Constructor copia
	Empleado(const Empleado & emp);

	// Destructor
	~Empleado();

    void modificarSalario(double s);
	void modificarNombre(const char * n);
	virtual void mostrarDatos(int i) const;
	Empleado & operator=(const Empleado & emp);
};
#endif