// Archivo de cabecera clase Gerente (cgerente.h)
//

#ifndef _CLASE_GERENTE_DEF_
#define _CLASE_GERENTE_DEF_
#include "cempleado.h"
class Gerente : public Empleado 
{
	int longZona;
	char * zona;
	double  plusObjetivos;
	static int instancias_gerente;
	 
	                                         
public:
    // constructor predeterminado
	Gerente(const char * nombre ="Sin datos", double s = 0, 
		const char * zona="No definida", double p = 0);

	// constructor conversin Empleado a Gerente
	Gerente(const Empleado & emp, 
		const char * zona="No definida", double p = 0);

	// Constructor copia
	Gerente(const Gerente & ger);

	// Destructor
	~Gerente();

    void modificarPlusObjetivos(double p);
	void modificarZona(const char * z);
	void modificarSalario(double s);
	void mostrarDatos(int i) const;
	Gerente & operator=(const Gerente & ger);
};
#endif