// Archivo de cabecera clase Empleado2 (cempleado2.h)
// Ejemplo herencia privada y protegida
//
#include "ctexto.h"
#include "cvectorsalario.h"
using namespace std;
#ifndef _CLASE_EMPLEADO2_DEF_
#define _CLASE_EMPLEADO2_DEF_
class Empleado2 :  protected VectorSalario, private Texto 
{
	static int instancias;
	enum {SALARIOMAX = 2500};
	
	                                         
public:
    // constructor predeterminado
	Empleado2() : Texto("No hay datos"),VectorSalario(){instancias++;}

	// Constructor 
	Empleado2(const Texto & n, const VectorSalario  & s): Texto(n), VectorSalario(s){instancias++;};

	// Constructor copia
	Empleado2(const Empleado2 & emp): Texto((const Texto &) emp), VectorSalario((const VectorSalario &) emp){instancias++;};

	// Destructor
	~Empleado2();

	using VectorSalario::totalSalarios;

	//double totalSalarios() const;
    void modificarSalario(int elem, double s);
	void modificarNombre(const Texto & n);
	virtual void mostrarDatos(int i) const;
	Empleado2 & operator=(const Empleado2 & emp);
};
#endif