// Archivo de cabecera clase VectorSalario (cvectorSalario.h)
//
#include <iostream>
using namespace std;
#ifndef _CLASE_VectorSalario_DEF_
#define _CLASE_VectorSalario_DEF_
class VectorSalario
{
	double va[12];
	static int instancias;
	enum {LIMITE = 12};
	                                         
public:
    // constructor predeterminado
	VectorSalario();

	// Constructor 
	VectorSalario(const double * s, int q = LIMITE);

	// Constructor copia
	VectorSalario(const VectorSalario & vs);

	// Destructor
	~VectorSalario();

	// Para calcular el sumatorio de salarios
 	double totalSalarios()const;
	// Para visualizar los datos y punteros de la clase
	void mostrarDatos() const;


	// Para gestionar la sintaxis de corchetes
	double & operator[](int i);
	const double & operator[](int i)const;
	// Operador de asignacin
	VectorSalario & operator=(const VectorSalario & vs);
	// Para utilizar cout << con objetos VectorSalario
	friend ostream & operator<<(ostream & o, const VectorSalario & vs); 
};
#endif