template <typename Tipo, int qmax> 
class ListaG2
{
private:
	Tipo elems[qmax];
	int qelem;
public:
	ListaG2(){qelem = 0;} 
	bool listaVaca() const;
	bool listaLlena() const;
	// agrega elementos a la lista
	bool colocar(const Tipo & e);
	// elimina elementos de la lista
	//bool quitar(Tipo & e);
	bool quitar(Tipo e);

	void verLista();
};
template <typename Tipo, int qmax>
bool ListaG2<Tipo,qmax>::listaLlena() const
{
	if (qelem == qmax) return true;
	return false;
}

template <typename Tipo, int qmax>
bool ListaG2<Tipo, qmax>::listaVaca()const
{
	if (qelem == 0) return true;
	return false;
}

template <typename Tipo, int qmax>
bool ListaG2<Tipo, qmax>::colocar(const Tipo & e)
{
	if (listaLlena()) return false;
	// los elementos los aade por arriba
	elems[qelem++] = e;
	return true;
}

template <typename Tipo, int qmax>
bool ListaG2<Tipo,qmax>::quitar(Tipo e)
{
	if (listaVaca()) return false;
	for (int i = 0; i < qelem; i++)
	{
		if (elems[i] == e)
		{
			for (int j = i+1; j < qelem; j++, i++)
				elems[i] = elems[j]; 
		}
	}
	qelem--;
	return true;
}

template <typename Tipo, int qmax>
void ListaG2<Tipo,qmax>::verLista()
{
	for (int i = 0; i < qelem; i++)
		cout << "Elemento " << i << "  valor " << elems[i] << "\n";
}
