// cap0601.cpp
// Trabajo con funciones genricas

#include <iostream>
using namespace std;

// Definicin del prototipo
template <class T> T  promedio(T & a , T & b);

// Prototipo de funcin genrica
template<class T> void fun(T);
// Prototipo funciones especializadas
template<> void fun<char>(char);
template<> void fun<int>(int);
// Funcin no genrica
void fun(int);





 
 
int main()
{
cout << "Ejercicios del cap. 6 \n\n";

// templates o funciones genricas

// Uso de la funcin promedio con tipos int 
int j = 4;
int k = 9;
int l = promedio(j , k);
cout << "Promedio de enteros " << l << "\n";

// Uso de la funcin promedio con tipos double
double jj = 34.790;
double kk = 4700.89;
double ll = promedio(jj, kk);
cout << "Promedio de double " << ll << "\n";

int varInt = 2;
double varDouble = 4.0;
// Diversas llamadas
cout << "Llamada con fun<char>(varInt)\n";
fun<char>(varInt);
cout << "Llamada con fun(varInt)\n";
fun(varInt);
cout << "Llamada con fun<int>(varInt)\n";
fun<int>(varInt);
cout << "Llamada con fun(varDouble)\n";
fun(varDouble);

int x;
cin >> x;
return 0;
}
// Definicin de la funcin genrica
template <class T>
T promedio(T & varInt, T & varDouble)
{
	cout << "template promedio\n";
	return ((varInt + varDouble) / 2) ;
}
template<class T> void fun(T t)
{
	cout << "1. Template\n\n";
} 
// Especializacin explcita con tipo 'char'  
template<> void fun<char>(char c)
{
	cout << "2. Especializada con char\n\n";
}

// Especializacin explcita con tipo 'int' 
template<> void fun(int i)
{
	cout << "3. Especializada con int\n\n";
}
// Genrica con tipo 'int' 
void fun(int i)
{
	cout << "4. No template con int\n\n";
}
 
