#include <iostream>
#include "cHora.h"
using namespace std;

int main()
{
	// Modos de inicializacin
	Hora H1;
	Hora H2(20, 50,55);
	Hora H3(4, 77, 99);

	cout << "Caso Inicializaciones \n";
	H1.Listar();
	H2.Listar();
	H3.Listar();

	// Suma con el mtodo sumar
	H2.sumar(H3);
	cout << "Caso Hora::sumar(Hora) \n";
	H2.Listar();
	
	Hora H4;
    // reasignar la hora
	H4 = Hora(100,400,500);
	cout << "Caso reasigna objeto \n";
	H4.Listar();

	// Suma un objeto Hora
	// con valores independientes de horas
	// minutos y segundos
	H4.sumar(5,1,1);
	cout << "Caso Hora::sumar(h,m,s) \n";
	H4.Listar();

	// Uso del operador +
	// formato objeto + objeto
	H4 = Hora(10,40,50);
	Hora H5 = Hora(20, 40,0);
	Hora H7 = H4 + H5;
	cout << "Caso operador+ (1) \n";
	H7.Listar();

	// Otro modo de escribir lo
	// mismo
	// formato llamada de funcin 
	H7 = H5.operator+(H5);
	cout << "Caso operador+ (2) \n";
    H7.Listar(); 

	// Multiplicar una hora por
	// un valor
	long q = 4;
	H7 = H7 * q;
	cout << "Caso operador* \n";
	H7.Listar();

	// Otro modo de lo mismo
	H7 = H7.operator *(4);
	H7.Listar();

	 
    // Multiplicar una hora por
	// un valor pero invirtiendo
	// los operandos
	long q1 = 2;
	H7 = q1 * H7;
	cout << "Caso operador* con friend\n";
	H7.Listar();

	// Conversin de tipos
	cout << "Caso conversiones autom.de C++\n";
	int j1 = 4;
	double d1 = 1.5E300;
	j1 = d1;
	cout << "j1 " << j1 << " d1 " << d1 << "\n\n";

	// Conversin por constructor
	cout << "Caso conversiones de tipos \n";
	Hora H8;

	int * q2 = (int *)20;
	H8 = Hora( 20);
	H8 = (Hora) 20;
	H8.Listar();
	 
	// Caso funciones de conversin
	int q3 = H8;
	cout << "Convierte a int " << q3 << " segundos\n\n";

	// Uso de cout con conversin implcita
	// no funciona si hay ambigedad
	// en las funciones de conversin

	//cout << "Conv. impl. de cout : " << H8 << "\n\n";

	int s4 = H8;
	double s5 = H8;
	long s6 = double (H8);

	// Caso funciones de conversin
	Hora H9 (20, 50,55);
	double q4 = H9; // debera dar algo as como 20,82
	cout << "Convierte a double " << q4 << " horas con decimales\n\n";


	int final;
	cin >> final;
}