// Archivo cempleado1.cpp
// Clase Empleado1
//
#include <iostream>
#include <cstring>
#include "cempleado1.h"
using namespace std;

int Empleado1::instancias = 0;
Empleado1::Empleado1()  // constructor predeterminado
{
	longNombre = 19;
	nombre = new char[19]; 
	strcpy_s(nombre, 19, "No hay informacin");
 	horas_trabajadas = 0;
	instancias++;
	cout << "Se genera instancia con el constructor 1 "
		<< ", hay " << instancias  
		<< " ejemplares del objeto Empleado1\n\n";
}
Empleado1::Empleado1(const char * n, int ht)
{
	longNombre = strlen(n) + 1;
	nombre = new char [longNombre];
	strcpy_s(nombre,longNombre,n);
 	horas_trabajadas = ht;
	instancias++;
    cout << "Se genera instancia con el constructor 2 "
		<< ", hay " << instancias  
		<< " ejemplares del objeto Empleado1\n\n";
}


Empleado1::~Empleado1()
{
	instancias--;
	cout << "Se destruye el objeto Empleado1 de " << nombre 
		<< ", quedan " << instancias  
		<< " ejemplares del objeto Empleado1\n\n";

	delete [] nombre;

	cout << "Y se libera la memoria del campo nombre\n\n";
}

void Empleado1::modificarHorasTrabajadas(int n)
{
	horas_trabajadas += n;
	cout << "Se actualizan las horas trabajadas de "
		<< nombre << "\n\n";
} 
void Empleado1::mostrarDatos() const
{
	cout << "Datos: empleado           " << nombre << "\n";
	cout << "- ptr this                " << this << "\n";
	cout << "- ptr a nombre            " << &nombre << "\n";
	cout << "- apuntado por ptr nombre " << (int *)nombre << "\n";
	cout << "- ptr a instancias        " << (int *)&instancias << "\n\n";
}

 

