// Archivo cap11.cpp
// Relacin "tiene un"
// contencin y herencia private y protected
//
#include <iostream>
#include <cstring>
#include "cempleado.h"
#include "cempleado2.h"
#include "cgerente.h"
#include "cvectorsalario.h"
using namespace std;

void probarClasesBase();
void casosContencion();
void casosHerencia();
void casosFriend();

 


int main()
{
	
	

 	cout << "*****************************************\n";
	cout << "Programa cap11: Contencion y herencia private y protected\n";
    cout << "*****************************************\n\n";
	//probarClasesBase();
	 
	cout << "*****************************************\n\n";
	cout << "CONTENCION \n\n";
	cout << "*****************************************\n\n";
	casosContencion();

	cout << "*****************************************\n\n";
	cout << "HERENCIA \n\n";
	cout << "*****************************************\n\n";
	casosHerencia();
	
	 
	cout << "*****************************************\n\n";
	cout << "Friend\n\n";
	cout << "*****************************************\n\n";
	casosFriend();
	int final;
	cin >> final;
	 
}
void probarClasesBase()
{
	 
	cout << "Prueba de las clases base\n\n";
	// probar la clase VectorSalario
	// constructor predeterminado
	VectorSalario vs;
	// operador []
	vs[2] = 1000.50;
	double sal = vs[2];

	vs.mostrarDatos();
	// operador << con objeto ostream
	cout << vs << "\n";;

	// constructor copia
	VectorSalario vs2(vs);
	vs2[1] = 444;
	cout << vs2 << "\n";;

	// constructor matriz de double
	double dbl[8] = {1000.50, 1500.50, 1240.60, 1500.75, 
		             1350.60, 2000.00 , 1900.50, 1350.65};

	VectorSalario vs3(dbl,8);
	vs3.mostrarDatos();
	cout << "total salarios:" << vs3.totalSalarios() << "\n";

	// operador asignacin
	vs2 = vs3;
	vs2.mostrarDatos();

	 
	// probar la clase Texto
	// constructor predeterminado
    cout << "Clase Texto\n";
	Texto txt;
	txt = "HOLA";
	cout << "operador << " << txt << "\n";
	txt.mostrarDatos();
	 

	// constructor copia
	Texto txt2(txt);
	cout << "copia " << txt2 << "\n";;

	txt2.modificarTexto("Otro texto");
	txt2.mostrarDatos();
	 
	// operador asignacin
	txt = txt2;
	txt.mostrarDatos();
}
void casosContencion() 
{

	// Ejemplo contencin
	double dbl[8] = {1000.50, 1500.50, 1240.60, 1500.75, 
		             1350.60, 2000.00 , 1900.50, 1350.65};

	VectorSalario vs(dbl,8);

	Texto txt = "Juan";
	 
	// constructor predeterminado
	cout << "Paso 1\n";
	Empleado emp1;
	emp1.mostrarDatos(0);

	// constructor copia
	cout << "Paso 2 copia\n";
	Empleado emp2(emp1);
	emp2.mostrarDatos(0);

	// constructor 
    cout << "Paso 3 \n";
	Empleado emp3(txt,vs);
	emp3.mostrarDatos(0);

	cout << "Paso 4 \n";
	// Uso del mtodo totalSalarios()
	cout << "Total salarios . " << emp3.totalSalarios() << "\n";

	// modificar el salario
	cout << "Paso 5 \n";
	emp3.modificarSalario(11, 1500.56);

	// operador de asignacin
	cout << "Paso 6 asignacion\n";
	emp2 = emp3;
	emp2.mostrarDatos(0);


	// Verificacin de la clase Gerente
	cout << "Paso 7 clase gerente derivada de Empleado\n";
	Gerente ger(vs,"Carlos","Zona Sur", 3000);
	ger.mostrarDatos(0);

}
void casosHerencia() 
{

	// Ejemplo herencia privada y protegida
	double dbl[8] = {1000.50, 1500.50, 1240.60, 1500.75, 
		             1350.60, 2000.00 , 1900.50, 1350.65};

	VectorSalario vs(dbl,8);

	Texto txt = "Juan";
	 
	// constructor predeterminado
	cout << "Paso 1\n";
	Empleado emp1;
	emp1.mostrarDatos(0);

	// constructor copia
	cout << "Paso 2 copia\n";
	Empleado emp2(emp1);
	emp2.mostrarDatos(0);

	// constructor 
    cout << "Paso 3 \n";
	Empleado emp3(txt,vs);
	emp3.mostrarDatos(0);

	cout << "Paso 4 \n";
	// Uso del mtodo totalSalarios()
	cout << "Total salarios . " << emp3.totalSalarios() << "\n";

	// modificar el salario
	cout << "Paso 5 \n";
	emp3.modificarSalario(11, 1500.56);

	// operador de asignacin
	cout << "Paso 6 asignacion\n";
	emp2 = emp3;
	emp2.mostrarDatos(0);	 
			
}
void casosFriend()
{
}