// Archivo de cabecera clase Empleado (cempleado.h)
// EJEMPLO CONTENCIN
//
#include "ctexto.h"
#include "cvectorsalario.h"
using namespace std;
#ifndef _CLASE_EMPLEADO_DEF_
#define _CLASE_EMPLEADO_DEF_
class Empleado
{
	Texto nombre;	
	static int instancias;
	enum {SALARIOMAX = 2500};
	
protected:
	VectorSalario salario;
	                                         
public:
    // constructor predeterminado
	Empleado() : nombre("No hay datos"),salario(){instancias++;}

	// Constructor 
	Empleado(const Texto & n, const VectorSalario  & s): nombre(n), salario(s){instancias++;};

	// Constructor copia
	Empleado(const Empleado & emp);

	// Destructor
	~Empleado();

	double totalSalarios() const;
    void modificarSalario(int elem, double s);
	void modificarNombre(const Texto & n);
	virtual void mostrarDatos(int i) const;
	Empleado & operator=(const Empleado & emp);
};
#endif