template <typename Tipo> class ListaG
{
private:
	enum {QMAX = 7};
	Tipo elems[QMAX];
	int qelem;
public:
	ListaG(){qelem = 0;} 
	bool listaVaca() const;
	bool listaLlena() const;
	// agrega elementos a la lista
	bool colocar(const Tipo & e);
	// elimina elementos de la lista
	//bool quitar(Tipo & e);
	bool quitar(Tipo e);

	void verLista();
};
template <typename Tipo>
bool ListaG<Tipo>::listaLlena() const
{
	if (qelem == QMAX) return true;
	return false;
}

template <typename Tipo>
bool ListaG<Tipo>::listaVaca()const
{
	if (qelem == 0) return true;
	return false;
}

template <typename Tipo>
bool ListaG<Tipo>::colocar(const Tipo & e)
{
	if (listaLlena()) return false;
	// los elementos los aade por arriba
	elems[qelem++] = e;
	return true;
}

template <typename Tipo>
bool ListaG<Tipo>::quitar(Tipo e)
{
	if (listaVaca()) return false;
	for (int i = 0; i < qelem; i++)
	{
		if (elems[i] == e)
		{
			for (int j = i+1; j < qelem; j++, i++)
				elems[i] = elems[j]; 
		}
	}
	qelem--;
	return true;
}

template <typename Tipo>
void ListaG<Tipo>::verLista()
{
	for (int i = 0; i < qelem; i++)
		cout << "Elemento " << i << "  valor " << elems[i] << "\n";
}
